# Experimental demonstration of entanglement delivery using a quantum network stack
## _Pompili, Delle Donne, et al._

<a href="https://github.com/psf/black"><img alt="Code style: black" src="https://img.shields.io/badge/code%20style-black-000000.svg"></a>

Datasets and software to reproduce the results of the paper.

Install the requirements in a virtual environment with pipenv, then run the jupyter notebooks to produce
the figures
```bash
> pipenv sync
> pipenv run jupyter lab
```

# Data information
## Full state tomography

Server measurement calibration: `bob_data/20210930/20210930-163800-720-59f65e-ssro_calibration_msm1`

Client measurement calibration: `charlie_data/20210930/20210930-163924-015-8b57f8-ssro_calibration_msm1`

Server dataset (from physical layer): `bob_data/20210930/20210930-172543-002-1e7a18-link_layer_msm1`

Client dataset (from physical layer): `charlie_data/20210930/20210930-172540-867-20f435-link_layer_msm1`

Server dataset (from link layer): `bob_data/20210930/20210930_175447_full_state_tomography_server_outcomes.json`

Client dataset (from link layer): `charlie_data/20210930/20210930_175445_full_state_tomography_client_outcomes.json`

Client timestamps (from link layer): `charlie_data/20210930/20210930_172629_full_state_tomography_client_link_layer_request_timestamps.csv`

## Fidelity - latency tradeoff

Server measurement calibration: `bob_data/20210930/20210930-105042-822-80b9c7-ssro_calibration_msm1`

Client measurement calibration: `charlie_data/20210930/20210930-105337-337-16c018-ssro_calibration_msm1`

Server dataset (from physical layer): `bob_data/20210930/20210930-160304-623-5ea215-link_layer_msm1`

Client dataset (from physical layer): `charlie_data/20210930/20210930-160303-294-ca5c06-link_layer_msm1`

Server dataset (from link layer): `bob_data/20210930/20210930_163107_fidelity_vs_rate_server_outcomes.json`

Client dataset (from link layer): `charlie_data/20210930/20210930_163106_fidelity_vs_rate_client_outcomes.json`

Client timestamps (from link layer): 
- `charlie_data/20210930/20210930_160444_fidelity_vs_rate_client_link_layer_request_timestamps.csv`
- `charlie_data/20210930/20210930_160444_fidelity_vs_rate_client_link_layer_ent_cmd_timestamps.csv`

## Remote state preparation

Server measurement calibration: `bob_data/20210930/20210930-163800-720-59f65e-ssro_calibration_msm1`

Server dataset (from physical layer): `bob_data/20210930/20210930-164745-588-f94f5e-link_layer_msm1`

Client dataset (from physical layer): `charlie_data/20210930/20210930-164742-994-c71940-link_layer_msm1`

Server dataset (from link layer): `bob_data/20210930/20210930_171542_remote_state_prep_server_outcomes.json`

Client dataset (from link layer): `charlie_data/20210930/20210930_171542_remote_state_prep_client_outcomes.json`